# $Revision: 1.63 $, $Date: 2011/03/31 18:13:36 $
Summary:	A Python interface to MySQL
Summary(pl.UTF-8):	Interfejs Pythona do MySQL
Name:		python-MySQLdb
Version:	1.2.3
Release:	5
License:	GPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/mysql-python/MySQL-python-%{version}.tar.gz
# Source0-md5:	215eddb6d853f6f4be5b4afc4154292f
URL:		http://sourceforge.net/projects/mysql-python/
BuildRequires:	mysql-devel >= 4.0.10
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	zlib-devel
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface to the popular MySQL database server for Python. The
design goals are:

- Compliance with Python database API version 2.0
- Thread-safety
- Thread-friendliness (threads will not block each other)

%description -l pl.UTF-8
Ten pakiet zapewnia dostęp do baz danych MySQL z poziomu skryptów
języka Python. Projekt jest tworzony z myślą o:
- zgodności z bazodanowym API Pythona w wersji 2.0
- przyjaznością dla wątków (wątki nie zablokują się nawzajem).

%prep
%setup  -q -n MySQL-python-%{version}

%build
env CFLAGS="%{rpmcflags} -DHAVE_OPENSSL=1" %{_bindir}/python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python -- setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

rm -f $RPM_BUILD_ROOT%{py_sitedir}/{MySQLdb/{constants/,},}*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/*
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py?
%dir %{py_sitedir}/MySQLdb
%{py_sitedir}/MySQLdb/*.py?
%dir %{py_sitedir}/MySQLdb/constants
%{py_sitedir}/MySQLdb/constants/*.py?
%{py_sitedir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-MySQLdb.spec,v $
Revision 1.63  2011/03/31 18:13:36  arekm
- release 5

Revision 1.62  2011/01/31 08:52:42  arekm
- release 4

Revision 1.61  2010/11/13 00:20:01  pawelz
- release 3

Revision 1.60  2010/07/08 08:23:50  arekm
- release 2

Revision 1.59  2010/06/27 19:46:44  arekm
- up to 1.2.3 final

Revision 1.58  2010/05/14 21:47:55  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.57  2010/04/11 09:07:10  arekm
- rel .2

Revision 1.56  2009/12/10 08:30:52  arekm
- use 1.2.3c1 instead of 1.2.2 + branch patch

Revision 1.55  2008/11/25 07:39:21  arekm
- add BR: python-setuptools

Revision 1.54  2008/11/25 07:32:28  arekm
- rel 6; fix some python 2.6 issues (from upstream)

Revision 1.53  2008/10/05 08:50:12  arekm
- release 5

Revision 1.52  2008/10/03 17:54:17  arekm
- release 4

Revision 1.51  2008/08/08 11:06:25  arekm
- release 3

Revision 1.50  2007-11-11 20:45:01  wiget
- rel. 2

Revision 1.49  2007/04/14 13:40:09  wiget
- updated to 1.2.2

Revision 1.48  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.47  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.46  2006/10/08 20:18:36  qboosh
- python 2.5 is required for .egg-info
- enhanced pl desc

Revision 1.45  2006/09/28 08:50:08  wiget
- added py2.5.patch to fix working on 64bit archs, release 6

Revision 1.44  2006/09/28 06:51:08  wiget
- include *.egg-info in package, release 5

Revision 1.43  2006/09/28 06:46:36  wiget
- release 4 (rebuild with python 2.5 (final))

Revision 1.42  2006/08/28 12:23:16  arekm
- rel 3

Revision 1.41  2006/08/07 16:08:53  wiget
- rebuild with openssl 0.9.8b, release 2

Revision 1.40  2006/05/14 14:36:47  troll
- updated to 1.2.1_p2
- clean up the *.py files

Revision 1.39  2006/04/11 07:54:56  wiget
- updated to 1.2.1

Revision 1.38  2006/03/27 12:41:29  glen
- rel 4 (libmysqlclient_15)

Revision 1.37  2005/10/28 07:43:38  arekm
- rel 3

Revision 1.36  2005/06/18 18:16:28  arekm
- rel 2; enable SSL support.

Revision 1.35  2005/03/06 23:24:50  charles
- rm obsolete BR: rpm-pythonprov

Revision 1.34  2005/02/28 15:06:54  charles
- updated to 1.2.0
- BR python-devel up to >= 2.3.4

Revision 1.33  2005/02/15 09:16:31  djrzulf
- rel 4, STBR against mysql-4.1,

Revision 1.32  2005/01/17 20:34:06  qboosh
- release 3

Revision 1.31  2005/01/17 15:22:19  qboosh
- arch-dependent modules must be in sitedir

Revision 1.30  2004/12/24 21:48:28  arekm
- rel 2

Revision 1.29  2004/11/03 18:51:54  wiget
- updated to 1.1.7

Revision 1.28  2004/10/20 02:48:38  aredridel
- up to 1.1.3

Revision 1.27  2004/09/06 21:09:16  qboosh
- reverted buggy commit

Revision 1.26  2004/09/06 08:02:16  darekr
- missing files

Revision 1.25  2004/08/31 15:40:31  darekr
- updated to 1.1.1

Revision 1.24  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.23  2004/05/25 16:12:45  leafnode
- updated to 1.1.0

Revision 1.22  2003/12/02 01:38:07  domelu
- up to 0.9.3b2

Revision 1.21  2003/12/01 23:25:27  matkor
- Release 4. Ac rebuild with changed Pythons ABI.

Revision 1.20  2003/08/28 08:38:50  ankry
- s/An/A/

Revision 1.19  2003/07/22 20:44:10  wiget
- rebuild with new python

Revision 1.18  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:25:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.15  2003/02/18 10:02:11  wiget
- force build with MySQL 4.0.x
- release 2

Revision 1.14  2003/02/14 12:36:54  wiget
- updated to 0.9.2

Revision 1.13  2002/11/30 23:00:26  juandon
- new %%doc

Revision 1.12  2002/04/13 17:34:01  kloczek
- rebuild against pythin 2.2.1.

Revision 1.11  2002/04/11 13:59:59  wrobell
- rel. 2, stb

Revision 1.10  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.9  2002/03/20 15:34:30  wrobell
- fix install section
- fix install and build requirements
- ver. 0.9.1
- stb

Revision 1.8  2002/03/18 07:08:40  wrobell
- group changed to Libraries/Python
- rel. 3
- stb

Revision 1.7  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/11 15:23:08  qboosh
- pl summary, cosmetics; release 2

Revision 1.3  2001/07/31 13:41:31  mis
- updated to 0.9.0

Revision 1.2  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.1  2000/09/13 08:38:15  wrobell
- based on python-MySQLmodule.spec
- adapterized

Based on spec by Oliver Andrich <oli@andrich.net>.
